Skip to main content
GET
/
notifications
Get Notifications
curl --request GET \
  --url https://frontend-api-v3.pump.fun/notifications
{
  "notifications": [
    {
      "id": "<string>",
      "type": "<string>",
      "title": "<string>",
      "message": "<string>",
      "createdAt": 123,
      "read": true,
      "metadata": {
        "userId": "<string>",
        "coinMint": "<string>",
        "amount": "<string>"
      }
    }
  ],
  "total": 123,
  "unreadCount": 123
}

Overview

The Notifications endpoint returns user-specific notifications about trades, mentions, follows, and other platform activity.

Authentication

This endpoint requires JWT authentication via the Authorization header:
Authorization: Bearer <your_token>

Endpoint

GET https://frontend-api-v3.pump.fun/notifications

Query Parameters

limit
number
required
Maximum number of notifications to return
offset
number
required
Number of notifications to skip for pagination

Response

notifications
array
Array of notification objects
total
number
Total number of notifications (for pagination)
unreadCount
number
Number of unread notifications

Notification Types

  • trade - Trade execution notification
  • mention - User mentioned you
  • follow - New follower
  • like - Someone liked your content
  • reply - Reply to your comment
  • coin_graduated - Coin you hold graduated to Raydium
  • price_alert - Price threshold reached

Example Request

curl -X GET "https://frontend-api-v3.pump.fun/notifications?limit=20&offset=0" \
  -H "Authorization: Bearer <your_token>" \
  -H "Accept: application/json"

Use Cases

  • Display user notification feed
  • Build real-time notification systems
  • Track unread notifications
  • Send push notifications for important events
  • Create activity logs and audit trails

Notes

  • Replace <your_token> with your actual JWT token
  • Notifications are user-specific based on the JWT token
  • Use pagination to efficiently load notification history
  • Check unreadCount to display notification badges
  • Mark notifications as read through separate endpoint (if available)

Build docs developers (and LLMs) love